#
#       Makefile for dcl-5.9x
#

##all:
##	platex *.tex


#
#       Makefile for grph1
#

ROOTDIR = ..\..
PACKNAME = rakuraku
SUBDIRS  = append color  column intro  kihon1 kihon2 \
           layout map3d  miss   others quick  u2d1   \
           u2d2   uspack uxyz1  uxyz2  paint

!include $(ROOTDIR)\MkInclude.win

build:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec
build-exec:
         @echo Entering rakuraku
	copy $(ROOTDIR)\CREDITS.tex .
	$(LATEX) $(PACKNAME).tex
	$(LATEX) $(PACKNAME).tex
	$(DVI2PDF) $(PACKNAME).dvi
	del CREDITS.tex

install:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:
	move *.pdf ..

clean:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:
